Why we want to install ZF as PEAR ? Because is too boring and time consuming to move all ZF files up and down for each script you want to install , there are a lot of files.

Also that way we can forget about the need to update ZF at latest versions, and keep tracks of which version and on which server we have ZF.  Of course, backward compatibility  can be an issue in future ZF releases ( like 2.0 branch for PHP > 5.3)

  1. Install PEAR if is not installed  already .
  2. Follow the instructions for ZF PEAR . Then simply use: pear install zend/zend
  3. Create a vhosts.conf file in /var/www/vhosts/dotkernel.com/conf  or where is your vhost configuration folder located.
  4. In that file, remove the open_basedir :
  5. php_admin_value open_basedir "/var/www/vhosts/dotkernel.com/httpdocs:/tmp:/usr/share/pear"
  6. rebuild all vhosts:  /usr/local/psa/admin/sbin/websrvmng -a
  7. Restart httpd
  8. Call directly the preloader:
     require_once 'Zend/Loader/Autoloader.php';

2 Comments

  1. Teo

    Thanks, this is very helpfull

  2. Flavius

    before: pear install zend/zend , just select the external channel for the library.
    $ pear channel-discover zend.googlecode.com/svn

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>